%define majversion %(echo %version | cut -d. -f 1-2)
#% define MAJversion %(echo %version | cut -d. -f 1)

%define groupid 65018
%define userid  65018

Name:          mariadb
Version:       10.8.2
Release:       2mamba
Summary:       A SQL database engine designed as a drop-in replacement of MySQL(R)
Group:         Applications/Databases
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://mariadb.org/
Source:        https://mirror.one.com/mariadb/mariadb-%{version}/source/mariadb-%{version}.tar.gz
Source1:       mariadb.service
Source2:       mariadb-tmpfile.conf
Source3:       mariadb-logrotate
Patch1:        mariadb-10.6.3-revert-mysql_get_client-change.patch
Patch2:        mariadb-10.5.9-fix-cmake-ConnectorName-syntax.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaio-devel
BuildRequires: libbzip2-devel
BuildRequires: libcrack-devel
BuildRequires: libcurl-devel
BuildRequires: libe2fs-devel
BuildRequires: libjemalloc-devel
BuildRequires: libkrb5-devel
BuildRequires: liblz4-devel
BuildRequires: liblzma-devel
BuildRequires: liblzo-devel
BuildRequires: libncurses-devel
BuildRequires: libodbc-devel
BuildRequires: libopenssl-devel
BuildRequires: libpam-devel
BuildRequires: libperl
BuildRequires: libsnappy-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsystemd-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
BuildRequires: perl-DBI
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 5.8.0
BuildRequires: bison
BuildRequires: doxygen
BuildRequires: tetex
BuildRequires: tetex-latex
#Requires(post):%{__install_info}
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      lsb
Provides:      mysql
Obsoletes:     mysql < 10.5.9
%systemd_requires

%description
MariaDB is designed as a drop-in replacement of MySQL(R) with more features, new storage engines, fewer bugs, and better performance.

%package server
Summary:       MariaDB server
Group:         Applications/Databases
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-client = %{?epoch:%epoch:}%{version}-%{release}
Provides:      mysql-server
Obsoletes:     mysql-server < 10.5.9

%description server
MariaDB is designed as a drop-in replacement of MySQL(R) with more features, new storage engines, fewer bugs, and better performance.
This package contains the initscript for executing MariaDB as a service.

%package client
Summary:       MariaDB client
Group:         Applications/Databases
Requires:      %{name}-common = %{?epoch:%epoch:}%{version}-%{release}
Provides:      mysql-client
Obsoletes:     mysql-client < 10.5.9

%description client
MariaDB is designed as a drop-in replacement of MySQL(R) with more features, new storage engines, fewer bugs, and better performance.
This package contains the standard MariaDB clients.

%package bench
Summary:       MySQL benchmarks and test system
Group:         Applications/Databases
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      mysql-bench
Obsoletes:     mysql-bench < 10.5.9

%description bench
MariaDB is designed as a drop-in replacement of MySQL(R) with more features, new storage engines, fewer bugs, and better performance.
This package contains MariaDB benchmark scripts and data.

%package common
Summary:       Common files for the MariaDB database server
Group:         Applications/Databases
Provides:      mysql-common
Obsoletes:     mysql-common < 10.5.9
Obsoletes:     mariadb-columnstore < 10.5.9
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description common
MariaDB is designed as a drop-in replacement of MySQL(R) with more features, new storage engines, fewer bugs, and better performance.
This package contains common files for the MariaDB database server.

%package -n lib%{name}
Summary:       Shared libraries need to dynamically load and use MariaDB
Group:         System/Libraries
Provides:      libmysql
Obsoletes:     libmysql < 10.5.9
Provides:      libmysqlclient
Obsoletes:     libmysqlclient < 10.5.9
%ifarch x86_64
Provides:      libmysqlclient.so.18()(64bit)
Provides:      libmysqlclient.so.18(libmariadbclient_18)(64bit)
Provides:      libmysqlclient.so.18(libmysqlclient_16)(64bit)
Provides:      libmysqlclient.so.18(libmysqlclient_18)(64bit)
%else
Provides:      libmysqlclient.so.18
Provides:      libmysqlclient.so.18(libmariadbclient_18)
Provides:      libmysqlclient.so.18(libmysqlclient_16)
Provides:      libmysqlclient.so.18(libmysqlclient_18)
%endif


%description -n lib%{name}
MariaDB is designed as a drop-in replacement of MySQL(R) with more features, new storage engines, fewer bugs, and better performance.
This package contains the shared libraries (*.so*) which certain languages and applications need to dynamically load and use MySQL.

%package -n lib%{name}-devel
Summary:       Development header files and static libraries for MariaDB
Group:         Development/Libraries
Requires:      libmysqlclient = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libmysql-devel
Obsoletes:     libmysql-devel < 10.5.9
Provides:      libmysql5-devel
Obsoletes:     libmysql5-devel < 10.5.9
Provides:      libmysqlclient-devel
Obsoletes:     libmysqlclient-devel < 10.5.9

%description -n lib%{name}-devel
MariaDB is designed as a drop-in replacement of MySQL(R) with more features, new storage engines, fewer bugs, and better performance.
This package contains the development header files and libraries necessary to develop MariaDB client applications.

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
cd libmariadb
%patch1 -p1 -R

%build
#:<< _EOF
%cmake -d build \
   -DBUILD_CONFIG=mysql_release \
   -DSYSCONFDIR=%{_sysconfdir}/mysql \
   -DMYSQL_LIBDIR=%{_libdir} \
   -DMYSQL_DATADIR=/var/lib/mysql \
   -DMYSQL_UNIX_ADDR=/run/mysqld/mysql.sock \
   -DDEFAULT_CHARSET=utf8 \
   -DDEFAULT_COLLATION=utf8_general_ci \
   -DENABLED_LOCAL_INFILE=ON \
   -DINSTALL_INFODIR=share/mysql/docs \
   -DINSTALL_LIBDIR=%{_lib} \
   -DINSTALL_MANDIR=share/man \
   -DINSTALL_PCDIR=%{_libdir}/pkgconfig \
   -DINSTALL_PLUGINDIR=%{_lib}/mysql/plugin \
   -DINSTALL_SCRIPTDIR=bin \
   -DINSTALL_INCLUDEDIR=include/mysql \
   -DINSTALL_DOCREADMEDIR=share/mysql \
   -DINSTALL_SUPPORTFILESDIR=share/mysql \
   -DINSTALL_MYSQLSHAREDIR=share/mysql \
   -DINSTALL_DOCDIR=share/mysql/docs \
   -DINSTALL_SHAREDIR=share/mysql \
   -DINSTALL_PAMDIR=/%{_lib}/security \
   -DINSTALL_PAMDATADIR=%{_sysconfdir}/security \
   -DWITH_READLINE=ON \
   -DWITH_ZLIB=system \
   -DWITH_SSL=system \
   -DWITH_PCRE=bundled \
   -DWITH_LIBWRAP=OFF \
   -DWITH_JEMALLOC=ON \
   -DCMAKE_EXE_LINKER_FLAGS='-ljemalloc' \
   -DWITH_EXTRA_CHARSETS=complex \
   -DWITH_EMBEDDED_SERVER=ON \
   -DWITH_ARCHIVE_STORAGE_ENGINE=1 \
   -DWITH_BLACKHOLE_STORAGE_ENGINE=1 \
   -DWITH_INNOBASE_STORAGE_ENGINE=1 \
   -DWITH_PARTITION_STORAGE_ENGINE=1 \
   -DWITH_TOKUDB_STORAGE_ENGINE=1 \
   -DWITHOUT_EXAMPLE_STORAGE_ENGINE=1 \
   -DWITHOUT_FEDERATED_STORAGE_ENGINE=1 \
   -DWITHOUT_PBXT_STORAGE_ENGINE=1 \
   -DCMAKE_C_FLAGS="-fPIC %{optflags} -fno-strict-aliasing -DBIG_JOINS=1 -fomit-frame-pointer -fno-delete-null-pointer-checks" \
   -DCMAKE_CXX_FLAGS="-fPIC %{optflags} -fno-strict-aliasing -DBIG_JOINS=1 -felide-constructors -fno-delete-null-pointer-checks" \
%ifarch arm
   -DCONNECT_WITH_JDBC=OFF
%endif

#-fno-rtti 
#   -DWITH_MYSQLD_LDFLAGS="-pie ${LDFLAGS},-z,now"

%ifarch arm
export LD_PRELOAD=/usr/lib/libatomic.so
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%ifarch arm
export LD_PRELOAD=/usr/lib/libatomic.so
%endif

%makeinstall -C build

install -d %{buildroot}/var/lib/mysql%{?MAJversion}
#install -d %{buildroot}/var/log
#touch %{buildroot}/var/log/mysqld.log

install -D -m0644 %{SOURCE1} %{buildroot}%{_unitdir}/mariadb.service
install -D -m0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/mariadb.conf

#install -D -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/mariadb
#install -D -m755 %{SOURCE3} \
#   %{buildroot}%{_datadir}/mysql/%{name}_convert_db_format_to_mysql41
# copy default configuration file
install -D -m644 support-files/rpm/my.cnf %{buildroot}%{_sysconfdir}/my.cnf
install -D -m644 support-files/rpm/client.cnf %{buildroot}%{_sysconfdir}/my.cnf.d/client.cnf
install -D -m644 support-files/rpm/server.cnf %{buildroot}%{_sysconfdir}/my.cnf.d/server.cnf
install -D -m644 support-files/rpm/mysql-clients.cnf %{buildroot}%{_sysconfdir}/my.cnf.d/mysql-clients.cnf

#mv %{buildroot}%{_prefix}/sql-bench %{buildroot}%{_datadir}/sql-bench

ln -s libmariadb.so.3 %{buildroot}%{_libdir}/libmysqlclient.so.18

install -d -m0755 %{buildroot}%{_sysconfdir}/php/php.d
cat > %{buildroot}%{_sysconfdir}/php/php.d/mysql_mariadb.ini << _EOF
[MySQL]
mysql.default_socket = /run/mysqld/mysql.sock
_EOF

cat > %{buildroot}%{_sysconfdir}/php/php.d/mysqli_mariadb.ini << _EOF
[MySQLi]
mysqli.default_socket = /run/mysqld/mysql.sock
_EOF


# delete unpackaged files
#rm -f %{buildroot}%{_bindir}/make_win*
rm -f %{buildroot}%{_datadir}/mysql%{?MAJversion}/mysql-*.spec
rm -f %{buildroot}%{_datadir}/mysql%{?MAJversion}/MySQL-shared-compat.spec
rm -f %{buildroot}%{_datadir}/mysql%{?MAJversion}/mysql-log-rotate

rm -f %{buildroot}%{_datadir}/mysql%{?MAJversion}/binary-configure
rm -f %{buildroot}%{_datadir}/mysql%{?MAJversion}/mi_test_all*
rm -f %{buildroot}%{_datadir}/mysql%{?MAJversion}/*.cnf
rm -f %{buildroot}%{_datadir}/mysql%{?MAJversion}/*.ini

rm -fr %{buildroot}%{_prefix}/mysql-test
rm -fr %{buildroot}%{_prefix}/sql-bench
rm -f %{buildroot}%{_prefix}/data/test/db.opt
rm -f %{buildroot}%{_datadir}/mysql%{?MAJversion}/ChangeLog

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%pre server
if [ $1 -ge 1 ]; then
   /usr/sbin/groupadd mysql -g %{groupid} 2>/dev/null
   /usr/sbin/useradd -u %{userid} -c 'MariaDB service' -d /dev/null \
      -g mysql -s /bin/false mysql 2>/dev/null
fi
exit 0

%post server
systemctl -q daemon-reload
%systemd_post mariadb
%tmpfiles_create mariadb.conf
if [ $1 -eq 1 ]; then
   if [ -d /var/lib/mysql5/mysql -a ! -d /var/lib/mysql%{?MAJversion}/mysql ]; then
      # upgrade from mysql 5.1
      echo "*** Creating a copy of old mysql5 db"
	  mkdir /var/lib/mysql%{?MAJversion}
      cp -a /var/lib/mysql5/* /var/lib/mysql%{?MAJversion}/
   elif [ ! -d /var/lib/mysql%{?MAJversion}/mysql ]; then
      # new install: initialize db
      mysql_install_db --basedir=%{_prefix} --ldata=/var/lib/mysql%{?MAJversion}
   fi
   /bin/chown -R mysql.mysql /var/lib/mysql%{?MAJversion}
   systemctl -q enable mariadb
   systemctl -q start mariadb
fi
if [ $1 -ge 1 ]; then
   [ -e /etc/rc5.d/S90mysql ] && {
      systemctl -q enable mariadb
	  systemctl -q start mariadb
   }
   mysql_upgrade || {
      echo "Run: 'mysql_upgrade -u root -p' to upgrade db!"
   }
fi
:

%preun server
%systemd_preun mariadb
if [ $1 -eq 0 ]; then
# erase
   systemctl -q stop mariadb
   systemctl -q disable mariadb
   /usr/sbin/userdel mysql
   /usr/sbin/groupdel mysql
fi
:

%postun server
%systemd_postun_with_restart mariadb
:

%posttrans server
# clean old sysv broken links
if [ $1 -ge 1 ]; then
   find /etc/rc[0-6].d/ -type l -xtype l -exec rm -f {} \;
   if [ $1 -ge 1 ]; then
      /usr/sbin/groupadd mysql -g %{groupid} 2>/dev/null
      /usr/sbin/useradd -u %{userid} -c 'MariaDB service' -d /dev/null \
         -g mysql -s /bin/false mysql 2>/dev/null
   fi
   exit 0
fi
:

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%posttran -n lib%{name}
if [ $1 -ge 1 ]; then
   [ -e %{_libdir}/libmysqlclient.so.18 ] || ln -s libmariadb.so.3 %{_libdir}/libmysqlclient.so.18
fi
:

%files
%defattr(-,root,root)
%{_bindir}/mariadbd
%{_bindir}/mariadbd-multi
%{_bindir}/mariadbd-safe
%{_bindir}/mariadbd-safe-helper
%{_bindir}/mysqld
%{_bindir}/mysql_embedded
%{_bindir}/mysql_upgrade
%{_bindir}/mysqld_safe_helper
#%{_bindir}/maria_add_gis_sp.sql
%{_mandir}/man1/mariadbd-*.1*
%{_mandir}/man1/mysql_upgrade.1*
%{_mandir}/man8/mariadbd.8*
%{_mandir}/man8/mysqld.8*
%doc COPYING
#%doc ChangeLog Docs/manual.html

%files server
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/my.cnf.d/server.cnf
%{_sysconfdir}/php/php.d/mysql_mariadb.ini
%{_sysconfdir}/php/php.d/mysqli_mariadb.ini
%{_unitdir}/mariadb.service
%{_tmpfilesdir}/mariadb.conf
%attr(755,mysql,mysql) %dir /var/lib/mysql%{?MAJversion}
%{_mandir}/man1/mysql.server.1*

%files client
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/my.cnf.d/mysql-clients.cnf
%{_bindir}/aria_chk
%{_bindir}/aria_dump_log
%{_bindir}/aria_ftdump
%{_bindir}/aria_pack
%{_bindir}/aria_read_log
%{_bindir}/aria_s3_copy
%{_bindir}/mariadb-conv
%{_bindir}/mbstream
%{_bindir}/msql2mysql
%{_bindir}/mariadb
%{_bindir}/mariadb-access
%{_bindir}/mariadb-admin
%{_bindir}/mariadb-backup
%{_bindir}/mariadb-binlog
%{_bindir}/mariadb-check
%{_bindir}/mariadb-client-test
%{_bindir}/mariadb-client-test-embedded
%{_bindir}/mariadb-config
%{_bindir}/mariadb-convert-table-format
%{_bindir}/mariadb-dump
%{_bindir}/mariadb-dumpslow
%{_bindir}/mariadb-embedded
%{_bindir}/mariadb-find-rows
%{_bindir}/mariadb-fix-extensions
%{_bindir}/mariadb-hotcopy
%{_bindir}/mariadb-import
%{_bindir}/mariadb-install-db
%ifnarch %{ix86}
%{_bindir}/mariadb-ldb
%endif
%{_bindir}/mariadb-plugin
%{_bindir}/mariadb-secure-installation
%{_bindir}/mariadb-setpermission
%{_bindir}/mariadb-show
%{_bindir}/mariadb-slap
%{_bindir}/mariadb-test
%{_bindir}/mariadb-test-embedded
%{_bindir}/mariadb-tzinfo-to-sql
%{_bindir}/mariadb-upgrade
%{_bindir}/mariadb-waitpid
%{_bindir}/mysql
%{_bindir}/mysqlaccess
#%{_bindir}/mysqlaccess.conf
%{_bindir}/mysqladmin
%ifarch x86_64 arm aarch64
%{_bindir}/myrocks_hotbackup
%{_bindir}/mysql_ldb
%{_bindir}/sst_dump
%endif
%{_bindir}/test-connect-t
%{_bindir}/mariabackup
%{_bindir}/mysqlbinlog
%{_bindir}/mysqlcheck
#%{_bindir}/mysql_config_editor
%{_bindir}/mysqldump
%{_bindir}/mysqldumpslow
%{_bindir}/mysqlimport
%{_bindir}/mysqlshow
%{_bindir}/mysqlslap
%{_bindir}/mysqltest
%{_bindir}/mysql_client_test
%{_bindir}/mysql_client_test_embedded
%{_bindir}/mysqltest_embedded
%{_bindir}/mysql_find_rows
%{_bindir}/mytop
#%ifarch x86_64
#%{_bindir}/tokuftdump
#%endif
%{_mandir}/man1/mariadb-*.1*
%{_mandir}/man1/mariadb.1*
%{_mandir}/man1/msql2mysql.1*
%{_mandir}/man1/mysql.1*
%{_mandir}/man1/mysqlaccess.1*
%{_mandir}/man1/mysqladmin.1*
%{_mandir}/man1/mysqlbinlog.1*
%{_mandir}/man1/mysqlcheck.1*
%{_mandir}/man1/mysqldump.1*
%{_mandir}/man1/mysqldumpslow.1*
%{_mandir}/man1/mysqlimport.1*
%{_mandir}/man1/mysqlshow.1*
%{_mandir}/man1/mysqlslap.1*
%{_mandir}/man1/mysqltest.1*
%{_mandir}/man1/mysql_client_test.1*
%{_mandir}/man1/mysql_client_test_embedded.1*
#%{_mandir}/man1/mysql_config_editor.1*
%{_mandir}/man1/mysql_find_rows.1*
%{_mandir}/man1/mysqltest_embedded.1*
%{_mandir}/man1/aria_*.1*
%{_mandir}/man1/galera_new_cluster.1*
%{_mandir}/man1/galera_recovery.1*
%{_mandir}/man1/my_safe_process.1*
%{_mandir}/man1/mysqld_safe_helper.1*
%{_mandir}/man1/mariabackup.1*
%{_mandir}/man1/mbstream.1*
%{_mandir}/man1/myrocks_hotbackup.1*
%{_mandir}/man1/mysql_embedded.1*
%{_mandir}/man1/mysql_ldb.1*
%{_mandir}/man1/mytop.1*
#%ifarch x86_64
#%{_mandir}/man1/tokuft_logprint.1*
#%{_mandir}/man1/tokuftdump.1*
#%endif
%{_mandir}/man1/wsrep_sst_*.1*

%files common
%defattr(-,root,root)
%config %{_sysconfdir}/my.cnf
#%config(noreplace) %{_sysconfdir}/logrotate.d/mariadb
%{_bindir}/galera_new_cluster
%{_bindir}/galera_recovery
%{_bindir}/innochecksum
%{_bindir}/mariadb-service-convert
%{_bindir}/my_print_defaults
%{_bindir}/myisamchk
%{_bindir}/myisamlog
%{_bindir}/myisampack
%{_bindir}/mysql_convert_table_format
#%{_bindir}/mysql_explain_log
%{_bindir}/mysql_fix_extensions
#%{_bindir}/mysql_fix_privilege_tables
#%{_bindir}/mysql_install
%{_bindir}/mysql_install_db
%{_bindir}/mysql_plugin
%{_bindir}/mysql_secure_installation
%{_bindir}/mysql_setpermission
#%{_bindir}/mysql_tableinfo
%{_bindir}/mysql_tzinfo_to_sql
%{_bindir}/mysql_waitpid
#%{_bindir}/mysql_zap
#%{_bindir}/mysqlbug
%{_bindir}/mysqld_multi
%{_bindir}/mysqld_safe
%{_bindir}/mysqlhotcopy
#%{_bindir}/mysqltestmanager
#%{_bindir}/mysqltestmanager-pwgen
#%{_bindir}/mysqltestmanagerc
%{_bindir}/perror
%{_bindir}/replace
%{_bindir}/resolve_stack_dump
%{_bindir}/resolveip
#%ifarch x86_64
#%{_bindir}/tokuft_logprint
#%endif
%{_bindir}/wsrep_sst_*
#%{_sbindir}/mysqlmanager
%dir %{_datadir}/mysql%{?MAJversion}
#%{_datadir}/mysql/%{name}_convert_db_format_to_mysql41
%{_datadir}/mysql%{?MAJversion}/english
%{_datadir}/mysql%{?MAJversion}/czech
%{_datadir}/mysql%{?MAJversion}/danish
%{_datadir}/mysql%{?MAJversion}/dutch
%{_datadir}/mysql%{?MAJversion}/estonian
%{_datadir}/mysql%{?MAJversion}/french
%{_datadir}/mysql%{?MAJversion}/german
%{_datadir}/mysql%{?MAJversion}/greek
%{_datadir}/mysql%{?MAJversion}/hungarian
%{_datadir}/mysql%{?MAJversion}/italian
%{_datadir}/mysql%{?MAJversion}/japanese
%{_datadir}/mysql%{?MAJversion}/korean
%{_datadir}/mysql%{?MAJversion}/norwegian
%{_datadir}/mysql%{?MAJversion}/norwegian-ny
%{_datadir}/mysql%{?MAJversion}/polish
%{_datadir}/mysql%{?MAJversion}/portuguese
%{_datadir}/mysql%{?MAJversion}/romanian
%{_datadir}/mysql%{?MAJversion}/russian
%{_datadir}/mysql%{?MAJversion}/serbian
%{_datadir}/mysql%{?MAJversion}/slovak
%{_datadir}/mysql%{?MAJversion}/spanish
%{_datadir}/mysql%{?MAJversion}/swedish
%{_datadir}/mysql%{?MAJversion}/ukrainian
%{_datadir}/mysql%{?MAJversion}/charsets
%{_datadir}/mysql%{?MAJversion}/errmsg-utf8.txt
%{_datadir}/mysql%{?MAJversion}/*.sql
%{_datadir}/mysql%{?MAJversion}/mysql.server
%{_datadir}/mysql%{?MAJversion}/mysqld_multi.server
%{_datadir}/mysql%{?MAJversion}/magic
%{_datadir}/mysql/README-wsrep
%{_datadir}/mysql/CREDITS
%{_datadir}/mysql/COPYING
%{_datadir}/mysql/THIRDPARTY
#%{_datadir}/mysql/EXCEPTIONS-CLIENT
%{_datadir}/mysql/INSTALL-BINARY
%{_datadir}/mysql/README.md
%{_datadir}/mysql/hindi
%{_datadir}/mysql/mini-benchmark
%dir %{_datadir}/mysql/mroonga
%{_datadir}/mysql/mroonga/*
%dir %{_datadir}/mysql/aclocal
%{_datadir}/mysql/aclocal/mysql.m4
%dir %{_datadir}/mysql/policy
%{_datadir}/mysql/policy/*
%dir %{_datadir}/mysql/systemd
%{_datadir}/mysql/systemd/*
%{_datadir}/mysql/wsrep_notify
%dir %{_datadir}/groonga
%{_datadir}/groonga/*
%dir %{_datadir}/groonga-normalizer-mysql
%{_datadir}/groonga-normalizer-mysql/*
%{_mandir}/man1/innochecksum.1*
%{_mandir}/man1/my_print_defaults.1*
%{_mandir}/man1/myisamchk.1*
%{_mandir}/man1/myisamlog.1*
%{_mandir}/man1/myisampack.1*
%{_mandir}/man1/mysql-stress-test.pl.1*
%{_mandir}/man1/mysql-test-run.pl.1*
%{_mandir}/man1/mysql_convert_table_format.1*
%{_mandir}/man1/mysql_fix_extensions.1*
%{_mandir}/man1/mysql_install_db.1*
%{_mandir}/man1/mysql_plugin.1*
%{_mandir}/man1/mysql_secure_installation.1*
%{_mandir}/man1/mysql_setpermission.1*
%{_mandir}/man1/mysql_tzinfo_to_sql.1*
%{_mandir}/man1/mysql_waitpid.1*
%{_mandir}/man1/mysqld_multi.1*
%{_mandir}/man1/mysqld_safe.1*
%{_mandir}/man1/mysqlhotcopy.1*
%{_mandir}/man1/perror.1*
%{_mandir}/man1/replace.1*
%{_mandir}/man1/resolve_stack_dump.1*
%{_mandir}/man1/resolveip.1*

#%files bench
#%defattr(-,root,root)
#%dir %{_datadir}/sql-bench
#%{_datadir}/sql-bench/*

%files -n lib%{name}
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/my.cnf.d/client.cnf
%{_sysconfdir}/security/user_map.conf
%{_libdir}/libmariadb.so.*
%{_libdir}/libmariadbd.so.*
%{_libdir}/libmysqlclient.so.18
/%{_lib}/security/pam_user_map.so
%{_libdir}/mysql/plugin/auth_pam_tool_dir/auth_pam_tool
%ifnarch arm
%{_datadir}/mysql/JavaWrappers.jar
%{_datadir}/mysql/JdbcInterface.jar
%{_datadir}/mysql/Mongo*.jar
%endif
%{_libdir}/mysql%{?MAJversion}/plugin/*.so
%{_libdir}/mysql/plugin/daemon_example.ini

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/mysql_config
%{_bindir}/mariadb_config
%{_bindir}/myisam_ftdump
%dir %{_includedir}/mysql
%{_includedir}/mysql/*
%{_libdir}/libmariadb.so
%{_libdir}/libmariadb.a
%{_libdir}/libmariadbclient.a
%{_libdir}/libmariadbd.a
%{_libdir}/libmariadbd.so
%{_libdir}/libmysqld.a
%{_libdir}/libmysqld.so
%{_libdir}/libmysqlclient.a
%{_libdir}/libmysqlclient.so
%{_libdir}/libmysqlclient_r.a
%{_libdir}/libmysqlclient_r.so
%{_libdir}/libmysqlservices.a
%{_libdir}/pkgconfig/libmariadb.pc
%{_libdir}/pkgconfig/mariadb.pc
%{_mandir}/man1/myisam_ftdump.1*
%{_mandir}/man1/mysql_config.1*
%{_mandir}/man1/mariadb_config.1*
%{_mandir}/man3/mariadb_*.3*
%{_mandir}/man3/mysql_*.3*

%changelog
* Wed May 04 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 10.8.2-2mamba
- fix pkgconifg file providing -DINSTALL_LIBDIR=%{_lib}

* Fri Feb 25 2022 Automatic Build System <autodist@mambasoft.it> 10.8.2-1mamba
- automatic version update by autodist

* Tue Nov 16 2021 Automatic Build System <autodist@mambasoft.it> 10.7.1-1mamba
- automatic version update by autodist

* Mon Nov 15 2021 Automatic Build System <autodist@mambasoft.it> 10.6.5-1mamba
- automatic version update by autodist

* Fri Aug 06 2021 Automatic Build System <autodist@mambasoft.it> 10.6.4-1mamba
- automatic version update by autodist

* Tue Jul 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 10.6.3-2mamba
- revert upstream change to mysql_get_client breaking libqt5 5.15.2

* Sun Jul 18 2021 Automatic Build System <autodist@mambasoft.it> 10.6.3-1mamba
- automatic version update by autodist

* Thu May 27 2021 Automatic Build System <autodist@mambasoft.it> 10.6.1-1mamba
- automatic version update by autodist

* Fri May 14 2021 Automatic Build System <autodist@mambasoft.it> 10.5.10-1mamba
- automatic version update by autodist

* Wed Feb 17 2021 Automatic Build System <autodist@mambasoft.it> 10.5.9-1mamba
- automatic version update by autodist

* Thu Nov 19 2020 Automatic Build System <autodist@mambasoft.it> 10.5.8-1mamba
- automatic version update by autodist

* Sun Nov 08 2020 Automatic Build System <autodist@mambasoft.it> 10.5.7-1mamba
- automatic version update by autodist

* Thu Oct 08 2020 Automatic Build System <autodist@mambasoft.it> 10.5.6-1mamba
- automatic version update by autodist

* Sun Aug 16 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 10.5.5-2mamba
- fix obsolete for mariadb-columnstore

* Sun Aug 16 2020 Automatic Build System <autodist@mambasoft.it> 10.5.5-1mamba
- automatic version update by autodist

* Fri Jun 26 2020 Automatic Build System <autodist@mambasoft.it> 10.5.4-1mamba
- automatic version update by autodist

* Thu Jun 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 10.4.13-4mamba
- fix libmysqlclient.so.18 compatibility symlink missing after upgrade obsoleting libmysqlclient

* Sat May 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 10.4.13-3mamba
- remove %lang() to language directories to support all languages from e.g. phpmyadmin

* Thu May 28 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 10.4.13-2mamba
- provide compatibility symlink and provides for libmysqlclient.so.18

* Wed May 13 2020 Automatic Build System <autodist@mambasoft.it> 10.4.13-1mamba
- automatic version update by autodist

* Mon Apr 27 2020 Automatic Build System <autodist@mambasoft.it> 10.4.12-1mamba
- automatic version update by autodist

* Wed Jun 19 2019 Automatic Build System <autodist@mambasoft.it> 10.3.16-1mamba
- automatic version update by autodist

* Sun May 26 2019 Automatic Build System <autodist@mambasoft.it> 10.3.15-1mamba
- automatic version update by autodist

* Tue Apr 09 2019 Automatic Build System <autodist@mambasoft.it> 10.3.14-1mamba
- automatic version update by autodist

* Mon Mar 18 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 10.3.13-1mamba
- update to 10.3.13

* Fri Sep 29 2017 Automatic Build System <autodist@mambasoft.it> 10.1.28-1mamba
- automatic version update by autodist

* Sun Aug 27 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 10.1.26-2mamba
- libmysqlclient: obsolete libmysql

* Tue Aug 15 2017 Automatic Build System <autodist@mambasoft.it> 10.1.26-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 10.1.25-1mamba
- automatic version update by autodist

* Sat Mar 18 2017 Automatic Build System <autodist@mambasoft.it> 10.1.22-1mamba
- automatic version update by autodist

* Sun Feb 05 2017 Automatic Build System <autodist@mambasoft.it> 10.1.21-1mamba
- automatic version update by autodist

* Mon Dec 19 2016 Automatic Build System <autodist@mambasoft.it> 10.1.20-1mamba
- automatic version update by autodist

* Tue Nov 08 2016 Automatic Build System <autodist@mambasoft.it> 10.1.19-1mamba
- automatic version update by autodist

* Sat Oct 01 2016 Automatic Build System <autodist@mambasoft.it> 10.1.18-1mamba
- automatic version update by autodist

* Thu Sep 15 2016 Automatic Build System <autodist@mambasoft.it> 10.1.17-1mamba
- automatic version update by autodist

* Fri Jul 22 2016 Automatic Build System <autodist@mambasoft.it> 10.1.16-1mamba
- automatic version update by autodist

* Mon May 16 2016 Automatic Build System <autodist@mambasoft.it> 10.1.14-1mamba
- automatic version update by autodist

* Wed Apr 27 2016 Automatic Build System <autodist@mambasoft.it> 10.1.13-2mamba
- automatic version update by autodist

* Sat Mar 26 2016 Automatic Build System <autodist@mambasoft.it> 10.1.13-1mamba
- automatic version update by autodist

* Mon Feb 29 2016 Automatic Build System <autodist@mambasoft.it> 10.1.12-1mamba
- automatic version update by autodist

* Thu Feb 04 2016 Automatic Build System <autodist@mambasoft.it> 10.1.11-1mamba
- automatic version update by autodist

* Fri Dec 25 2015 Automatic Build System <autodist@mambasoft.it> 10.1.10-1mamba
- automatic version update by autodist

* Wed Oct 28 2015 Automatic Build System <autodist@mambasoft.it> 10.1.8-1mamba
- automatic version update by autodist

* Fri Aug 07 2015 Automatic Build System <autodist@mambasoft.it> 10.0.21-1mamba
- automatic version update by autodist

* Fri Jun 19 2015 Automatic Build System <autodist@mambasoft.it> 10.0.20-1mamba
- automatic version update by autodist

* Sat May 09 2015 Automatic Build System <autodist@mambasoft.it> 10.0.19-1mamba
- automatic version update by autodist

* Fri May 08 2015 Automatic Build System <autodist@mambasoft.it> 10.0.18-1mamba
- automatic version update by autodist

* Sun Apr 05 2015 Automatic Build System <autodist@mambasoft.it> 10.0.17-1mamba
- automatic version update by autodist

* Sat Mar 28 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.42-2mamba
- rename /run/mysqld/mysqld.sock to /run/mysql/mysql.sock
- add php ini file to set mysql.sock path (fixes e.g. phpmyadmin)

* Fri Mar 27 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.42-1mamba
- update to 5.5.42

* Sun Dec 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.41-1mamba
- first mariadb build based on mysql spec

* Mon Dec 01 2014 Automatic Build System <autodist@mambasoft.it> 5.6.22-1mamba
- automatic version update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 5.6.20-1mamba
- automatic version update by autodist

* Sat Jun 28 2014 Automatic Build System <autodist@mambasoft.it> 5.6.19-1mamba
- automatic version update by autodist

* Sun Mar 30 2014 Automatic Build System <autodist@mambasoft.it> 5.6.17-1mamba
- automatic version update by autodist

* Sun Feb 02 2014 Automatic Build System <autodist@mambasoft.it> 5.6.16-1mamba
- automatic version update by autodist

* Sun Dec 08 2013 Automatic Build System <autodist@mambasoft.it> 5.6.15-1mamba
- automatic version update by autodist

* Sat Sep 21 2013 Automatic Build System <autodist@mambasoft.it> 5.6.14-1mamba
- update to 5.6.14

* Fri Aug 02 2013 Automatic Build System <autodist@mambasoft.it> 5.6.13-1mamba
- automatic version update by autodist

* Sat Jun 08 2013 Automatic Build System <autodist@mambasoft.it> 5.6.12-1mamba
- automatic version update by autodist

* Thu Apr 18 2013 Automatic Build System <autodist@mambasoft.it> 5.6.11-1mamba
- automatic version update by autodist

* Tue Mar 26 2013 Automatic Build System <autodist@mambasoft.it> 5.6.10-1mamba
- automatic version update by autodist

* Thu Jan 31 2013 Automatic Build System <autodist@mambasoft.it> 5.5.30-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 5.5.29-1mamba
- automatic version update by autodist

* Sat Sep 29 2012 Automatic Build System <autodist@mambasoft.it> 5.5.28-1mamba
- automatic version update by autodist

* Fri Aug 03 2012 Automatic Build System <autodist@mambasoft.it> 5.5.27-1mamba
- automatic version update by autodist

* Thu Jul 05 2012 Automatic Build System <autodist@mambasoft.it> 5.5.25a-1mamba
- automatic version update by autodist

* Thu May 31 2012 Automatic Build System <autodist@mambasoft.it> 5.5.25-1mamba
- automatic version update by autodist

* Tue May 08 2012 Automatic Build System <autodist@mambasoft.it> 5.5.24-1mamba
- automatic version update by autodist

* Fri Apr 13 2012 Automatic Build System <autodist@mambasoft.it> 5.5.23-1mamba
- automatic version update by autodist

* Fri Mar 23 2012 Automatic Build System <autodist@mambasoft.it> 5.5.22-1mamba
- automatic version update by autodist

* Tue Feb 21 2012 Automatic Build System <autodist@mambasoft.it> 5.5.21-1mamba
- automatic version update by autodist

* Wed Jan 11 2012 Automatic Build System <autodist@mambasoft.it> 5.5.20-1mamba
- automatic version update by autodist

* Thu Dec 08 2011 Automatic Build System <autodist@mambasoft.it> 5.5.19-1mamba
- automatic version update by autodist

* Sat Nov 19 2011 Automatic Build System <autodist@mambasoft.it> 5.5.18-1mamba
- automatic version update by autodist

* Thu Oct 20 2011 Automatic Build System <autodist@mambasoft.it> 5.5.17-1mamba
- automatic version update by autodist

* Fri Sep 16 2011 Automatic Build System <autodist@mambasoft.it> 5.5.16-1mamba
- automatic version update by autodist

* Sun Aug 14 2011 Automatic Build System <autodist@mambasoft.it> 5.5.15-1mamba
- automatic version update by autodist

* Tue Feb 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.54-2mamba
- move mysqlslap and mysqltest to client package to remove circular dependency with mysql-common

* Fri Dec 24 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.54-1mamba
- update to 5.1.54

* Wed Aug 04 2010 Automatic Build System <autodist@mambasoft.it> 5.1.49-1mamba
- automatic update to 5.1.49 by autodist

* Thu Jun 17 2010 Automatic Build System <autodist@mambasoft.it> 5.1.48-1mamba
- automatic update to 5.1.48 by autodist

* Sun Jun 06 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.47-2mamba
- mysql_upgrade moved from server to main package
- gcc 4.5 build patch added

* Thu May 20 2010 Automatic Build System <autodist@mambasoft.it> 5.1.47-1mamba
- automatic update to 5.1.47 by autodist

* Fri Apr 23 2010 Automatic Build System <autodist@mambasoft.it> 5.1.46-1mamba
- automatic update to 5.1.46 by autodist

* Fri Apr 09 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.45-2mamba
- mysql-server: added requirement for mysql-client

* Wed Mar 17 2010 Automatic Build System <autodist@mambasoft.it> 5.1.45-1mamba
- automatic update to 5.1.45 by autodist

* Sun Mar 14 2010 Automatic Build System <autodist@mambasoft.it> 5.1.44-1mamba
- automatic update to 5.1.44 by autodist

* Mon Feb 01 2010 Automatic Build System <autodist@mambasoft.it> 5.1.43-1mamba
- automatic update to 5.1.43 by autodist

* Fri Jan 01 2010 Automatic Build System <autodist@mambasoft.it> 5.1.42-1mamba
- automatic update to 5.1.42 by autodist

* Wed Nov 18 2009 Automatic Build System <autodist@mambasoft.it> 5.1.41-1mamba
- automatic update to 5.1.41 by autodist

* Tue Oct 20 2009 Automatic Build System <autodist@mambasoft.it> 5.1.40-1mamba
- automatic update to 5.1.40 by autodist

* Tue Sep 22 2009 Automatic Build System <autodist@mambasoft.it> 5.1.39-1mamba
- automatic update to 5.1.39 by autodist

* Fri Sep 11 2009 Automatic Build System <autodist@mambasoft.it> 5.1.38-1mamba
- automatic update to 5.1.38 by autodist

* Fri Jul 31 2009 Automatic Build System <autodist@mambasoft.it> 5.1.37-1mamba
- automatic update to 5.1.37 by autodist

* Wed Jul 01 2009 Automatic Build System <autodist@mambasoft.it> 5.1.36-1mamba
- automatic update to 5.1.36 by autodist

* Tue Jun 30 2009 Davide Madrisan <davide.madrisan@gmail.com> 5.1.35-3mamba
- fixed installation of the mysql infofile

* Mon Jun 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.35-2mamba
- initscript: redirect logger output to prevent multithreaded init lockup

* Thu Jun 04 2009 Automatic Build System <autodist@mambasoft.it> 5.1.35-1mamba
- automatic update to 5.1.35 by autodist

* Sat May 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.34-3mamba
- rebuilt with innobase plugin statically included into mysqld (as required by akonadi)

* Fri May 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.34-2mamba
- added package mysql-server so mysqld can be used by akonadi without enabling it as a system service

* Mon Apr 20 2009 Automatic Build System <autodist@mambasoft.it> 5.1.34-1mamba
- update to 5.1.34

* Fri Apr 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.33-1mamba
- automatic update to 5.1.33 by autodist

* Mon Mar 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.32-3mamba
- default configuration file name fixed (/etc/my.cnf)

* Wed Mar 11 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.32-2mamba
- update to mysql5, obsolete mysql5 packages

* Thu Mar 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.32-1mamba
- automatic update to 5.1.32 by autodist

* Thu Feb 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.31-1mamba
- update to 5.1.31

* Sat Dec 13 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.30-1mamba
- update to 5.1.30

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.67-2mamba
- changed datadir to /usr/lib/mysql5
- build with libdb47

* Sun Nov 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.67-1mamba
- automatic update to 5.0.67 by autodist

* Fri Jun 27 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.51b-1mamba
- update to 5.0.51b [Stativa]

* Fri Jan 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.22-2mamba
- use default initscript
- require lsb

* Tue Mar 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.22-1qilnx
- update to version 4.1.22 by autospec

* Tue Jun 27 2006 Davide Madrisan <davide.madrisan@qilinux.it> 4.1.20-1qilnx
- update to version 4.1.20 by autospec
- this version also fixes CVE-2006-2753

* Mon May 15 2006 Davide Madrisan <davide.madrisan@qilinux.it> 4.1.19-1qilnx
- update to version 4.1.19 by autospec
- also fixes the security issues: CVE-2006-{1516,1517,3081}
- security bug CVE-2006-0903 fixed

* Wed Mar 01 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.18-1qilnx
- update to version 4.1.18 by autospec

* Tue Sep 20 2005 Davide Madrisan <davide.madrisan@qilinux.it> 4.1.14-1qilnx
- update to version 4.1.14 by autospec
- also fix the security issue: QSA-2005-108 (CAN-2005-2558)
- specfile updated: install/uninstall info files
- new script %{name}_convert_db_format_to_mysql41

* Wed Mar 23 2005 Davide Madrisan <davide.madrisan@qilinux.it> 4.0.24-2qilnx
- restart the mysql server only when active (%%postun script)
- added mising %%postun script for `libmysql'

* Wed Mar 23 2005 Davide Madrisan <davide.madrisan@qilinux.it> 4.0.24-1qilnx
- update to version 4.0.24 by autospec
- fixes security vulnerabilities QSA-2005-032 (CAN-2005-07[09,10,11])

* Tue Feb 01 2005 Davide Madrisan <davide.madrisan@qilinux.it> 4.0.23-1qilnx
- update to version 4.0.23 by autospec
- fixed security vulnerability QSA-2005-011 (CAN-2005-0004)

* Tue Sep 14 2004 Davide Madrisan <davide.madrisan@qilinux.it> 4.0.21-1qilnx
- update to version 4.0.21 by autospec
  also fix: CAN-2004-0457, CAN-2004-083[5,6,7]

* Fri Jul 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20-1qilnx
- new version build

* Thu Feb 26 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.18-1qilnx
- New version rebuild
- groupid and userid specified according to QiLinux services rules

* Wed Sep 03 2003 Silvan Calarco <silvan.calarco@qinet.it> 4.0.12-2qilnx
- Added configuration scripts and /var directories

* Mon May 19 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 4.0.12-1qilnx
- creation of mysql package
